from django.db import models

class MainSearchEntry(models.Model):
    """
    This model will be searched for by the searchbox that is in every upper part of the website.
    The view making use of it is MainSearchView.

    Any model object that I implement as searchable should eventually have an entry here.
    """
    title = models.CharField(max_length=50)
    subtitle = models.CharField(max_length=50)
    desc = models.CharField(max_length=250, unique=True)
    # may be empty/blank for some entries
    date = models.DateField(blank=True)
    # every searchable object should have some url associated with it.
    link = models.URLField()
